## org.omg.CosNaming
Class NamingContextHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextHelper

public class NamingContextHelper
extends java.lang.Object

Helper class for : NamingContext

Author:
  OpenORB Compiler

Constructor Summary
`NamingContextHelper()`

Method Summary
`static NamingContext` `extract(Any a)` Extract NamingContext from an any
`static java.lang.String` `id()` Return the NamingContext IDL ID
`static void` `insert(Any a, NamingContext t)` Insert NamingContext into an any
`static NamingContext` `narrow(Object obj)` Narrow CORBA::Object to NamingContext
`static NamingContext` `read(InputStream istream)` Read NamingContext from a marshalled stream
`static TypeCode` `type()` Return the NamingContext TypeCode
`static NamingContext` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to NamingContext
`static void` `write(OutputStream ostream, NamingContext value)` Write NamingContext into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamingContextHelper

    public NamingContextHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NamingContext t)

  Insert NamingContext into an any
  Parameters:
    `a` - an any
    `t` - NamingContext value

### extract

    public static NamingContext extract(Any a)

  Extract NamingContext from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NamingContext value

### type

    public static TypeCode type()

  Return the NamingContext TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NamingContext IDL ID
  Returns:
    an ID

### read

    public static NamingContext read(InputStream istream)

  Read NamingContext from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NamingContext value

### write

    public static void write(OutputStream ostream,
                             NamingContext value)

  Write NamingContext into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NamingContext value

### narrow

    public static NamingContext narrow(Object obj)

  Narrow CORBA::Object to NamingContext
  Parameters:
    `obj` - the CORBA Object
  Returns:
    NamingContext Object

### unchecked_narrow

    public static NamingContext unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to NamingContext
  Parameters:
    `obj` - the CORBA Object
  Returns:
    NamingContext Object